﻿using GrapeCity.Documents.Excel;
using System;
namespace SortTable_GcExcel
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook();        
            IWorksheet worksheet = workbook.Worksheets.Add();
            // Assigning Value to the range
            worksheet.Range["A2"].Value = 3;
            worksheet.Range["A3"].Value = 4;
            worksheet.Range["A4"].Value = 2;
            worksheet.Range["A5"].Value = 1;

            worksheet.Range["B2"].Value = 1;
            worksheet.Range["B3"].Value = 2;
            worksheet.Range["B4"].Value = 3;
            worksheet.Range["B5"].Value = 4;

            worksheet.Range["F2"].Value = "aaa";
            worksheet.Range["F3"].Value = "bbb";
            worksheet.Range["F4"].Value = "ccc";
            worksheet.Range["F5"].Value = "ddd";

            workbook.Save("../../WithoutSort.xlsx");

            //Sort by column A
            ValueSortField key1 = new ValueSortField(worksheet.Range["A1"], SortOrder.Ascending);

            ITable table = worksheet.Tables.Add(worksheet.Range["A1:F5"], true);
            table.Sort.SortFields.Add(key1);
            table.Sort.Apply();

            workbook.Save("../../WithSort.xlsx");
        }
    }
}
